From f9bd2643d42b3354b27e64368d8c15cad18101d2 Mon Sep 17 00:00:00 2001
From: Philipp A <flying-sheep@web.de>
Date: Tue, 8 Aug 2017 17:38:52 +0200
Subject: [PATCH] Always use setuptools if availabe
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

When running `python* setup.py install`, the `jupyter-run` script doesn’t get installed without this.
---
 setup.py | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/setup.py b/setup.py
index 60fa17c..0831f7a 100644
--- a/setup.py
+++ b/setup.py
@@ -70,6 +70,7 @@
     ],
 )
 
+# require setuptools for these cases
 if 'develop' in sys.argv or any(a.startswith('bdist') for a in sys.argv):
     import setuptools
 
@@ -85,7 +86,12 @@
     'test': ['ipykernel', 'ipython', 'mock', 'pytest'],
 }
 
-if 'setuptools' in sys.modules:
+# always try to use setuptools if available
+try:
+    import setuptools
+except ImportError:
+    pass
+else:
     setup_args.update(setuptools_args)
     setup_args['entry_points'] = {
         'console_scripts': [
